## syslinux 6.02+dfsg

=== debian/changelog ===
syslinux (3:6.02+dfsg-drbl1) experimental; urgency=low

  * Applying patches for local boot issue (http://www.syslinux.org/archives/2013-October/021012.html).

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 01 Nov 2013 09:23:40 +0800

syslinux (3:6.02+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.02+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 15 Oct 2013 08:56:11 +0200

syslinux (3:6.02~pre16+dfsg-3) experimental; urgency=low

  * Adding test-patch from upstream to see if syslinux is buildable on
    non-intel architectures.
  * Building syslinux on all architectures as a test to see which ones
    don't fail.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 16 Sep 2013 19:12:22 +0200

syslinux (3:6.02~pre16+dfsg-2) experimental; urgency=low

  * Moving forgotten efi loaders from syslinux-dev to syslinux-common
    (Closes: #720588).
  * Adding note about bios+efi netboot with reference to #720589 (Closes:
    #720589).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 03 Sep 2013 14:50:33 +0200

syslinux (3:6.02~pre16+dfsg-1) experimental; urgency=low

  * Updating vcs fields.
  * Merging upstream version 6.02~pre16+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 07 Aug 2013 12:04:03 +0200

syslinux (3:6.02~pre15+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.02~pre15+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 29 Jul 2013 20:16:46 +0200

syslinux (3:6.02~pre14+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.02+pre14.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 29 Jul 2013 11:21:32 +0200

syslinux (3:6.02~pre11+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.02~pre11+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 25 Jul 2013 16:35:11 +0200

syslinux (3:6.02~pre9+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.02~pre9+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 24 Jul 2013 08:48:18 +0200

syslinux (3:6.02~pre8+dfsg-2) experimental; urgency=low

  * Reading /etc/default/extlinux globally in extlinux-update (Closes:
    #717399).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 22 Jul 2013 07:53:29 +0200

syslinux (3:6.02~pre8+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.02~pre8+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 20 Jul 2013 03:01:36 +0200

syslinux (3:6.02~pre7+dfsg-1) experimental; urgency=low

  * Adding vcs fields.
  * Wrapping control fields.
  * Merging upstream version 6.02~pre7+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 19 Jul 2013 12:22:17 +0200

syslinux (3:6.02~pre5+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.02~pre5+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 15 Jul 2013 19:57:07 +0200

syslinux (3:6.02~pre4+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.02~pre4+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 12 Jul 2013 14:42:02 +0200

syslinux (3:6.01+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.01.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 04 Jul 2013 16:50:25 +0200

syslinux (3:6.01~pre6+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.01~pre6+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 03 Jul 2013 14:40:33 +0200

syslinux (3:6.01~pre5+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.01~pre5+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 28 Jun 2013 18:43:04 +0200

syslinux (3:6.00+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.00+dfgs.
  * Using gcc-4.7 for the time being until gcc-multilib has been fixed for
    gcc-4.8, preventing FTBFS.
  * Updating syslinux-dev lintian overrides.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 24 Jun 2013 11:33:30 +0200

syslinux (3:6.00~pre5+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.00~pre5+dfsg.
  * Dropping gnu-efi.patch, included upstream.
  * Increasing version on gnu-efi build-depends.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 10 Jun 2013 18:02:14 +0200

syslinux (3:6.00~pre4+dfsg-11) experimental; urgency=low

  * Using consistent spelling of bootloader at various places.
  * Marking syslinux-common as amd64 and i386 only, rather than any.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 07 Jun 2013 12:56:01 +0200

syslinux (3:6.00~pre4+dfsg-10) experimental; urgency=low

  * Correcting typo in extlinux debhelper install file (Closes: #710306).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 30 May 2013 00:16:43 +0200

syslinux (3:6.00~pre4+dfsg-9) experimental; urgency=low

  * Sourcing common function in first extlinux-update subscript too
    (Closes: #710212).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 29 May 2013 07:42:35 +0200

syslinux (3:6.00~pre4+dfsg-8) experimental; urgency=low

  * Correcting installation path for /etc/extlinux.d scripts.
  * Correcting installation path for /etc/extlinux.d scripts.
  * Splitting fileupdate function in extlinux-update to subscript.
  * Reading extlinux defaults file in all extlinux-update subscripts.
  * Running defaults creation for extlinux-update as subscript too.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 28 May 2013 16:58:35 +0200

syslinux (3:6.00~pre4+dfsg-7) experimental; urgency=low

  * Adding note about md raid superblock 1.2 in extlinux readme (Closes:
    #612846).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 28 May 2013 07:04:24 +0200

syslinux (3:6.00~pre4+dfsg-6) experimental; urgency=low

  * Bailing out early in extlinux-install when no kernels can be found at
    /boot/vmlinuz (Closes: #709857).
  * Doing initial split of extlinux-update into sub-scripts (Closes:
    #587727).
  * Moving check for /boot/vmlinuz from extlinux-update to extlinux-
    update/0010-linux.
  * Updating bailout check for extlinux-update memdisk script.
  * Updating bail out check for extlinux-update os-proper script.


