=== debian/control ===
Source: syslinux
Section: admin
Priority: optional
Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
Build-Depends:
 debhelper (>= 9),
 e2fslibs-dev,
 gcc-4.7,
 gcc-multilib [amd64],
 gnu-efi (>= 3.0u),
 libc6-dev-i386 [amd64],
 nasm,
 python,
 uuid-dev,
Standards-Version: 3.9.4
Homepage: http://www.syslinux.org/
Vcs-Browser: http://daniel-baumann.ch/gitweb/?p=debian/packages/syslinux.git
Vcs-Git: git://daniel-baumann.ch/git/debian/packages/syslinux.git

Package: syslinux
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
  mtools,
Breaks: syslinux-common (<< ${source:Version})
Recommends: syslinux-common
Suggests: dosfstools
Description: collection of bootloaders (DOS FAT and NTFS bootloader)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the bootloader for DOS FAT and NTFS filesystems
 (SYSLINUX).

Package: extlinux
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: syslinux-common (<< ${source:Version})
Recommends:
 syslinux-common,
 os-prober,
Description: collection of bootloaders (Linux ext2/ext3/ext4, btrfs, and xfs bootloader)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the bootloader for Linux ext2/ext3/ext4, btrfs, and xfs
 filesystems (EXTLINUX).

Package: isolinux
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 syslinux-common (<< ${source:Version}),
 syslinux (<< 3:6.00~pre4+dfsg-5~),
Replaces: syslinux-common
Recommends: syslinux-common
Suggests: xorriso
Description: collection of bootloaders (ISO 9960 bootloader)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the bootloader for ISO 9960 CD-ROMs (ISOLINUX).

Package: pxelinux
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: syslinux-common (<< ${source:Version})
Replaces: syslinux-common
Recommends: syslinux-common
Suggests: tftpd-hpa
Description: collection of bootloaders (PXE network bootloader)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the bootloader for PXE network boots (PXELINUX).

Package: syslinux-common
Architecture: any
Depends: ${misc:Depends}
Breaks:
 syslinux (<< ${source:Version}),
 extlinux (<< ${source:Version}),
 isolinux (<< ${source:Version}),
 pxelinux (<< ${source:Version}),
Description: collection of bootloaders (common)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the common files.

Package: syslinux-dev
Architecture: all
Depends: ${misc:Depends}
Breaks:
 syslinux (<< 3:6.00~pre4+dfsg-5~),
 syslinux-common (<< 3:6.00~pre4+dfsg-5~),
Replaces:
 syslinux,
 syslinux-common,
Description: collection of bootloaders (development)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the development files.

Package: syslinux-utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 syslinux (<< 3:6.00~pre4+dfsg-5~),
 syslinux-common (<< 3:6.00~pre4+dfsg-5~),
Replaces:
 syslinux,
 syslinux-common,
Suggests:
 libcrypt-passwdmd5-perl,
 libdigest-sha-perl,
Description: collection of bootloaders (utilities)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the auxiliary utilities.

Package: syslinux-installer
Package-Type: udeb
Section: debian-installer
Architecture: any
Provides: bootable-system
Depends:
 cdebconf-udeb,
 kernel-installer,
 created-fstab,
 di-utils,
 di-utils-mapdevfs,
 os-prober,
 partman-utils,
XB-Installer-Menu-Item: 7450
Description: Install syslinux on a hard disk

Package: syslinux-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: collection of bootloaders
