## syslinux 6.03~pre7+drbl

=== debian/changelog ===
syslinux (3:6.03~pre7+drbl-1) unstable; urgency=medium

  * New upstream 6.03~pre7.
  * File clean-gnu-efi was patched to avoid clean non-git dir.
  * Patch file 0009-nonx86.patch was disabled.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 07 Mar 2014 10:20:39 +0800

syslinux (3:6.03~pre1+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.03~pre1+dfsg.
  * Updating to standards version 3.9.5.
  * Somewhat completing debian/copyright based on a patch from Raphael
    Hertzog <hertzog@debian.org> (Closes: #729844).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 16 Dec 2013 20:52:42 +0100
