## syslinux 6.03~pre9+drbl

=== debian/changelog ===
syslinux (3:6.03~pre9+drbl-1) unstable; urgency=medium

  * New upstream 6.03~pre9.
  * Patch file 0009-nonx86.patch was disabled.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 14 Mar 2014 19:21:37 +0800
