## syslinux 6.03~pre10+drbl

=== debian/changelog ===
syslinux (3:6.03~pre10+drbl-1) unstable; urgency=medium

  * New upstream 6.03~pre10.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 20 Apr 2014 20:29:16 +0800
