## syslinux 6.03~pre11+drbl

=== debian/changelog ===
syslinux (3:6.03~pre11+drbl-1) unstable; urgency=medium

  * New upstream 6.03~pre11.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 21 Apr 2014 20:21:27 +0800
