=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  nasm,
  python,
  uuid-dev,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.syslinux.org/
 Vcs-Browser: http://daniel-baumann.ch/gitweb/?p=debian/packages/syslinux.git
 Vcs-Git: git://daniel-baumann.ch/git/debian/packages/syslinux.git
