## syslinux 6.03~pre14+dfsg

=== debian/changelog ===
syslinux (3:6.03~pre14+dfsg-2) unstable; urgency=low

  * Temporarily let isolinux depend on syslinux-utils for isohybrid
    (Closes: #751724).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 16 Jun 2014 06:30:53 +0200

syslinux (3:6.03~pre14+dfsg-1) unstable; urgency=low

  * Correcting spelling mistakes for os-prober integration, thanks to
    Zlatko Calusic <zcalusic@bitsync.net> (Closes: #748786).
  * Moving isohybrid from isolinux to syslinux-utils for consistency.
  * Adding extlinux NEWS file to document bootloader integration in
    syslinux-stuff (Closes: #748689).
  * Merging upstream version 6.03~pre14+dfsg.
  * Dropping nonx86.patch, included upstream.
  * Building with embedded gnu-efi.
  * Building with gcc-4.8.
  * Updating years copyright notices in debian files.
  * Dropping debian specific memdiskfind manpage for newly added upstream
    one.
  * Dropping debian specific isohybrid manpage for newly added upstream
    one.
  * Updating todo file.
  * Updating readme file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 14 Jun 2014 10:55:07 +0200

syslinux (3:6.03~pre1+dfsg-4) unstable; urgency=low

  * Correcting debconf field name for extlinux installation (Closes:
    #746785).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 17 May 2014 12:13:41 +0200

syslinux (3:6.03~pre1+dfsg-3) experimental; urgency=low

  [ Slawomir Bochenski ]
  * Support device names with digits in syslinux.postinst (Closes:
    #738287).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 03 May 2014 11:35:29 +0200

syslinux (3:6.03~pre1+dfsg-2) experimental; urgency=low

  * Breaking out syslinux.efi to syslinux-efi package.
  * Adding a few replaces declarations in control to ease upgrades from
    pre-May 2013 experimental uploads to now.
  * Breaking out debian specific utilities to syslinux-stuff.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 24 Feb 2014 18:14:48 +0100
