## syslinux 6.03~pre17+dfsg

=== debian/changelog ===
syslinux (3:6.03~pre17+dfsg-1) unstable; urgency=low

  * Merging upstream version 6.03~pre17+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 17 Jun 2014 22:22:02 +0200
