=== debian/control ===
--- 
+++ 
@@ -5,9 +5,7 @@
 Build-Depends:
  debhelper (>= 9),
  e2fslibs-dev,
- gcc-4.7,
  gcc-multilib [amd64],
- gnu-efi (>= 3.0u),
  libc6-dev-i386 [amd64],
  nasm,
  python,
@@ -24,6 +22,7 @@
  ${shlibs:Depends},
   mtools,
 Breaks: syslinux-common (<< ${source:Version})
+Replaces: syslinux-common
 Recommends: syslinux-common
 Suggests: dosfstools
 Description: collection of bootloaders (DOS FAT and NTFS bootloader)
@@ -34,12 +33,31 @@
  This package contains the bootloader for DOS FAT and NTFS filesystems
  (SYSLINUX).
 
+Package: syslinux-efi
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+  mtools,
+Breaks: syslinux-common (<< ${source:Version})
+Replaces: syslinux-common
+Recommends: syslinux-common
+Suggests: dosfstools
+Description: collection of bootloaders (UEFI bootloader)
+ syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
+ filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
+ (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
+ .
+ This package contains the bootloader for the Unified Extensible Firmware
+ Interface (EFI).
+
 Package: extlinux
 Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks: syslinux-common (<< ${source:Version})
+Replaces: syslinux-common
 Recommends:
  syslinux-common,
  os-prober,
@@ -56,6 +74,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ syslinux-utils,
 Breaks:
  syslinux-common (<< ${source:Version}),
  syslinux (<< 3:6.00~pre4+dfsg-5~),
@@ -93,6 +112,11 @@
  extlinux (<< ${source:Version}),
  isolinux (<< ${source:Version}),
  pxelinux (<< ${source:Version}),
+Replaces:
+ syslinux,
+ extlinux,
+ isolinux,
+ pxelinux,
 Description: collection of bootloaders (common)
  syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
  filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
@@ -115,6 +139,21 @@
  (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
  .
  This package contains the development files.
+
+Package: syslinux-stuff
+Architecture: all
+Depends:
+ ${misc:Depends},
+ extlinux,
+Breaks: extlinux (<< 3:6.03~pre1+dfsg)
+Replaces: extlinux
+Description: collection of bootloaders (additional utilities)
+ syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
+ filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
+ (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
+ .
+ This package contains the Debian specific utilities such as bootloader
+ integration.
 
 Package: syslinux-utils
 Architecture: any
