## syslinux 6.03~pre18+dfsg

=== debian/changelog ===
syslinux (3:6.03~pre18+dfsg-1ubuntu1) utopic; urgency=medium

  * Revert syslinux-common to Architecture: all, cherry-picking part of a
    change from 6.03~pre20+dfsg-1 (LP: #1383332).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Oct 2014 10:54:51 -0400

syslinux (3:6.03~pre18+dfsg-1) unstable; urgency=low

  * Merging upstream version 6.03~pre18+dfsg.
  * For the time being, Marking all packages as amd64 and i386 only
    instead of any.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 30 Jun 2014 20:20:48 +0200
