=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: syslinux
 Section: admin
 Priority: optional
-Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
 Build-Depends:
  debhelper (>= 9),
  e2fslibs-dev,
@@ -16,7 +17,7 @@
 Vcs-Git: git://daniel-baumann.ch/git/debian/packages/syslinux.git
 
 Package: syslinux
-Architecture: any
+Architecture: amd64 i386
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -34,7 +35,7 @@
  (SYSLINUX).
 
 Package: syslinux-efi
-Architecture: any
+Architecture: amd64 i386
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -52,7 +53,7 @@
  Interface (EFI).
 
 Package: extlinux
-Architecture: any
+Architecture: amd64 i386
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -70,7 +71,7 @@
  filesystems (EXTLINUX).
 
 Package: isolinux
-Architecture: any
+Architecture: amd64 i386
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -89,7 +90,7 @@
  This package contains the bootloader for ISO 9960 CD-ROMs (ISOLINUX).
 
 Package: pxelinux
-Architecture: any
+Architecture: amd64 i386
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -105,7 +106,7 @@
  This package contains the bootloader for PXE network boots (PXELINUX).
 
 Package: syslinux-common
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends}
 Breaks:
  syslinux (<< ${source:Version}),
@@ -156,7 +157,7 @@
  integration.
 
 Package: syslinux-utils
-Architecture: any
+Architecture: amd64 i386
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -179,7 +180,7 @@
 Package: syslinux-installer
 Package-Type: udeb
 Section: debian-installer
-Architecture: any
+Architecture: amd64 i386
 Provides: bootable-system
 Depends:
  cdebconf-udeb,
@@ -195,7 +196,7 @@
 Package: syslinux-udeb
 Package-Type: udeb
 Section: debian-installer
-Architecture: any
+Architecture: amd64 i386
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
